<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] ?: array()) + array("_6e38cb9e043a07c" . "d69a1711a6704c62" . "a" => base64_decode("cGFyZW50X" . "2lk"), "_a5e22fe41a" . "6e4288b56df" . "78f2f278f8f" => base64_decode("cHJldl9wYXJlbn" . "RfaWQ="), "_b2f5a100451164396178c16d" . "2a5c6899" => base64_decode("cHJldl" . "90aXRs" . "ZQ=="), "tit" . "le" => base64_decode("dGl0bGU" . "="));
use Claromentis\Core\Event\GenericEvent;


class UpdateFolderEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function GetPrevTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_b2f5a100451164396178c16d" . "2a5c6899"]);
    }
    public function GetTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["t" . "i" . "t" . "l" . "e"]);
    }
    public function GetPrevParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_a5e22fe41" . "a6e4288b56" . "df78f2f278" . "f8f"]);
    }
    public function GetParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_6e38cb9e043a07cd69a1" . "711a6704c62a"]);
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}